Skip to main content
POST
/
v2
/
onramp
/
limits
/
upgrade
Request limit upgrade
curl --request POST \
  --url https://api.cdp.coinbase.com/platform/v2/onramp/limits/upgrade \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "+12055555555",
  "userIdType": "phone_number",
  "fields": {
    "ssnLast4": "5678",
    "dateOfBirth": {
      "day": "15",
      "month": "08",
      "year": "1990"
    }
  }
}
'
{
  "errorType": "invalid_request",
  "errorMessage": "Invalid user identifier or fields."
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Body

application/json

Request to request a limits upgrade for a user.

userId
string
required

The user identifier value. For phone_number type, this must be in E.164 format.

Example:

"+12055555555"

userIdType
enum<string>
required

The type of user identifier:

  • phone_number: A phone number in E.164 format associated with an onramp user.
Available options:
phone_number
Example:

"phone_number"

fields
object
required

Populate the properties that correspond to the fields array from the user's OnrampLimitUpgradeOption.

Example:
{
"ssnLast4": "5678",
"dateOfBirth": {
"day": "15",
"month": "08",
"year": "1990"
}
}

Response

Limit upgrade request accepted.